Install lxml for python



  • hello, i had some python script need lxml, but i fail to install it due to the pfsense does not have cc compiler.
    Even i install the gcc still not working…

    | [2.1-RC1][xxx@pfsense.localdomain]/usr/bin(10): pkg_add -r py27-lxml
    Fetching ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.3-release/Latest/py27-lxml.tbz… Done.
    Building lxml version 2.3.3.
    Building with Cython 0.15.1.
    Using build configuration of libxslt 1.1.26
    Building against libxml2/libxslt in the following directory: /usr/local/lib
    In file included from /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd8.1/4.6.3/include-fixed/syslimits.h:7:0,
                    from /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd8.1/4.6.3/include-fixed/limits.h:34,
                    from /usr/local/include/python2.7/Python.h:19,
                    from src/lxml/lxml.etree.c:4:
    /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd8.1/4.6.3/include-fixed/limits.h:169:61: error: no include path in which to search for limits.h
    In file included from /usr/local/include/python2.7/Python.h:33:0,
                    from src/lxml/lxml.etree.c:4:
    /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd8.1/4.6.3/include-fixed/stdio.h:57:23: fatal error: sys/cdefs.h: No such file or directory
    compilation terminated.
    error: Setup script exited with error: command 'cc' failed with exit status 1
    pkg_add: command '/usr/bin/env PYTHONPATH=/usr/local/lib/python2.7/site-packages  /usr/local/bin/easy_install-2.7 -q -N -S /usr/local/lib/python2.7/site-packages  -d /usr/local/lib/python2.7/site-packages  -s /usr/local/bin  lxml==2.3.3' failed |

    Is there any alternative to install lxml? ???



  • is it possible to pre-compile the packages to the iso?


Log in to reply